/***************************************************************************
 *            GlobalXML.h - provides a glade singleton
 *
 *  Fri Nov 19 19:25:13 2004
 *  Copyright  2004  Michael Hofmann
 *  mh21@gmx.net
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _GLOBALXML_H
#define _GLOBALXML_H

#include "RegisteredSingleton.h"

#include <libglademm/xml.h>

/** \file
 * A libglade singleton.
 */

/** Singleton class for the UI glade file.
 */
 
class GlobalXML : public RegisteredSingleton<GlobalXML, 95>
{
  public:
    GlobalXML();
    Glib::RefPtr<Gnome::Glade::Xml> get_glade();
  
  private:
    Glib::RefPtr<Gnome::Glade::Xml> xml;
};

#endif
