/***************************************************************************
 *            VocabScoreDiagram.h
 *
 *  Sun Jul 17 19:48:07 2005
 *  Copyright  2005  Michael Hofmann
 *  mh21@gmx.net
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _VOCABSCOREDIAGRAM_H
#define _VOCABSCOREDIAGRAM_H

#include "ScoreDiagram.h"

class VocabTest;
    
class VocabScoreDiagram : public ScoreDiagram
{
  public:
    VocabScoreDiagram (BaseObjectType* cobject, const Glib::RefPtr<Gnome::Glade::Xml>& refGlade);
    void set_vocabs (const VocabTest& vocab_test);
};

#endif /* _VOCABSCOREDIAGRAM_H */
